de.caff.generics.mda

## Interface MultiIndexLinearizer.Sequencer

- All Superinterfaces:
    Countable<int[]>, Indexable<int[]>, java.lang.Iterable<int[]>, MultiDimensional, Sizeable
  All Known Implementing Classes:
    MultiIndexLinearizer.BasicSequencer
  Enclosing interface:
    MultiIndexLinearizer

      public static interface MultiIndexLinearizer.Sequencer
      extends Indexable<int[]>, MultiDimensional

  A sequencer creates a multi-index from a linear index.

  Basically it does the inverse of `MultiIndexLinearizer.toLinear(int...)` method, but only for basic `MultiIndexLinearizer`s and not for `sub index linearizers`. The returned index can be used to iterate over a multi index in a defined way. It is especially useful for one-dimensional arrays.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Indexable

      `Indexable.Base<TT>, Indexable.IndexableSpliterator<TElem>, Indexable.ListView<T>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.Indexable

      `EMPTY, EMPTY_INDEXABLE_STRING`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Method Summary

    - ### Methods inherited from interface de.caff.generics.Indexable

      `addToArray, addToArray, addToCollection, asBase, asCollection, asList, binarySearch, checkIndex, combine, compare, downCast, emptyIndexable, equal, findAll, findAllX, findFirst, findFirst, findFirst, findFirstX, findLast, findLast, findLast, findNext, findNext, findNext, findNextX, findPrevious, findPrevious, findPrevious, first, firstMatch, firstMatch, firstMatchX, forEachEntry, forEachEntryFragile, fromArray, fromCollection, fromCollection, fromCountable, fromCountable, fromEnumeration, fromEnumeration, fromIterable, fromIterable, fromIterable, fromIterable, fromIterator, fromList, fromOptional, frozenSpliterator, get, getMod, gyt, hash, headSet, indexedView, indexes, init, initByIndex, initFragile, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, iterator, last, listIterator, mapArray, optional, ordered, reverse, rotated, singleton, spliterator, subSet, sybSet, tailSet, toString, view, view, viewArray, viewArray, viewAsBooleanIndexable, viewAsByteIndexable, viewAsCharIndexable, viewAsDict, viewAsDoubleIndexable, viewAsFloatIndexable, viewAsIntIndexable, viewAsLongIndexable, viewAsShortIndexable, viewByIndex, viewFragile, viewList, viewList, viewListN, viewListN, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, withAppendedItem, withCachedHash, withExchangedItemAt, withInsertedItemAt, withPrependedItem, withRemovedItemAt, withSwappedItemsAt`

    - ### Methods inherited from interface de.caff.generics.Countable

      `addAllTo, combined, combined, containsEq, containsRef, downCast, empty, equal, equals, filtered, filteredToIndexable, filterToCountable, firstOrNull, foldLeft, forEachFragile, freeze, frozen, frozen, getAny, groupingBy, groupingBy, hasAll, hasAny, isSorted, isStrictlySorted, lastOrNull, mappingBy, mappingBy, optFirst, optLast, orderedCombination, parellelStream, sorted, stream, toArray, toArray, toList, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensional

      `getNumDimensions, getNumElements, getSize, getSizes`